<?php

function jxpress_plugin_style() {

    $custom_css = "";
    $categories = get_terms('job-type', array('hide_empty' => false));
    foreach ($categories as $category) {


        $custom_css .= "." . $category->slug . "{";
        $custom_css .= 'background-color: ' . get_term_meta($category->term_id, 'category_colorpicker', true) . ';';
        $custom_css .= "}";
        
         $custom_css .= ".color-" . $category->slug . "{";
        $custom_css .= 'color: ' . get_term_meta($category->term_id, 'category_colorpicker', true) . ';';
        $custom_css .= "}";

        $custom_css .= ".border-" . $category->slug . "{";
        $custom_css .= 'border-bottom:2px solid ' . get_term_meta($category->term_id, 'category_colorpicker', true) . ' !important;';
        $custom_css .= "}";
    }

    if (class_exists('Redux')) {
        ?>
        <style>
           <?php print_r($custom_css); ?>
        </style>
        <?php
    }
}

add_action('wp_head', 'jxpress_plugin_style', 1000);
