<?php
global $current_user;
$user_id = get_current_user_id();
$user_info = get_user_meta($user_id);
?>
<div class=" border px-3 py-1">       
    <form id="user-profile" action="" method="post" novalidate="novalidate" enctype="multipart/form-data">
        <input type="hidden" name="action" value="candidatecv">
        <?php wp_nonce_field('ajax-candidatecv-nonce', 'security'); ?>   
        <h4 class="jxpress-title mb-2 mt-3"><?php echo esc_html__('YOUR CV', 'jxpress-portal'); ?></h4>      
        <div class="row">
            <div class="form-group col-md-12 p-l">
                <p class="status alert-warning px-2 mb-0"></p> 
            </div>
            <div class="form-group col-md-6 p-l">                           
                <input type="file" id="cv" name="user_cv" class="file form-control"  accept=".doc, .docx, .rft, .pdf">                                           
            </div>
           <div class="form-group col-md-6 p-l">   
               <input type="hidden" name="current_cv" value="<?php echo esc_url(isset($user_info['user_cv']) ? $user_info['user_cv'][0] : ""); ?>" id="current_cv"/>
               <?php if(isset($user_info['user_cv']) && !empty($user_info['user_cv'][0])){?>
               <a href="<?php echo esc_url(isset($user_info['user_cv']) ? $user_info['user_cv'][0] : ""); ?>" id="currentcv"><?php echo esc_html__('Current CV', 'jxpress-portal'); ?></a>  <a href="#" class="deletecurrentcv"><i class="fa fa-trash" aria-hidden="true"></i></a>                                
               <?php }?>
            </div>
            
            <div class="form-group col-md-12 p-r">
                <label><?php echo esc_html__('COVER LETTER', 'jxpress-portal'); ?></label>            
                <textarea rows="20" cols="40" name="user_coverletter" id="editor" class="editor-textarea"><?php echo isset($user_info['user_coverletter']) ? $user_info['user_coverletter'][0] : ""; ?></textarea>
            </div>
             <div class="form-group col-md-12 p-r">
                <input class="btn btn-larger btn-block" type="submit" value="<?php echo esc_html__('Update', 'jxpress-portal'); ?>">
            </div>
        </div>
       

    </form>
</div>


