<div class=" border px-3 py-1">
    <h4 class="jxpress-title mb-2 mt-3"><?php echo esc_html__('My Packages', 'jxpress-portal'); ?></h4>
    <div class="row">
        <div class="form-group col-md-12 p-l">
            <p class="status alert-warning px-2 mb-0"></p> 
        </div>              
    </div>
     <div class="table-responsive-md">
    <table class="table">
        <thead class="">
            <tr>
                <th scope="col"><?php echo esc_html__('Transaction id	', 'jxpress-portal'); ?></th>
                <th scope="col"><?php echo esc_html__('Package', 'jxpress-portal'); ?></th>
                <th scope="col"><?php echo esc_html__('Expiry', 'jxpress-portal'); ?></th>
                <th scope="col"><?php echo esc_html__('Jobs', 'jxpress-portal'); ?></th>
                <th scope="col"><?php echo esc_html__('Featured', 'jxpress-portal'); ?></th>
                <th scope="col"><?php echo esc_html__('Used', 'jxpress-portal'); ?></th>
                <th scope="col"><?php echo esc_html__('Remaining', 'jxpress-portal'); ?></th>
                <th scope="col"><?php echo esc_html__('Status', 'jxpress-portal'); ?></th>
            </tr>
        </thead>
        <tbody>
            <?php
            $user_id      = get_current_user_id();
            $packages     = get_user_meta($user_id, 'user_package');
            $wpDateFormat = get_option('date_format');
            foreach ($packages as $package) {
                $packagedetail = json_decode($package);
                $expirydate = $packagedetail->package_expire;
                ?>
                <tr>
                    <td scope="row"><?php echo !empty( $packagedetail->transaction_id ) ? $packagedetail->transaction_id : '#'.$packagedetail->order_id; ?></td>
                    <td><?php echo $packagedetail->package_name; ?></td>
                    <td><?php echo $packagedetail->package_expire; ?></td>
                    <td><?php echo $packagedetail->package_listing; ?></td>
                    <td><?php echo $packagedetail->featured; ?></td>
                    <td><?php echo $packagedetail->package_listing_added; ?></td>
                    <td><?php echo $packagedetail->package_listing_remaining; ?></td>
                    <td> <?php
                        if ((strtotime($expirydate) >= strtotime(date($wpDateFormat)))) {
                            echo esc_html__('Active', 'jxpress-portal');
                        } else {
                            echo esc_html__('Active', 'jxpress-portal');
                        }
                        ?></td>
                </tr>
            <?php } ?>
        </tbody>
    </table> 
     </div>
</div>


