<?php
add_shortcode('jxpress_job_by_category', 'jxpress_job_by_category');

function jxpress_job_by_category($atts) {
    extract(shortcode_atts(
                    array(
        'category' => 1,
        'industries' => 1,
        'city' => 1
                    ), $atts));

    ob_start();
    ?>

    <ul class="nav nav-tabs" id="pills-tab" role="tablist">
        <?php if($category){?>
        <li class="nav-item" role="presentation">
            <button class="nav-link active" id="pills-category-tab" data-bs-toggle="pill" data-bs-target="#pills-category" type="button" role="tab" aria-controls="pills-category" aria-selected="true"><?php echo esc_html__('Job By Category', 'jxpress-portal'); ?></button>
        </li>
        <?php }?>
         <?php if($industries){?>
        <li class="nav-item" role="presentation">
            <button class="nav-link" id="pills-industries-tab" data-bs-toggle="pill" data-bs-target="#pills-industries" type="button" role="tab" aria-controls="pills-industries"  aria-selected="false"><?php echo esc_html__('Job By industries', 'jxpress-portal'); ?></button>
        </li>
        <?php }?>
         <?php if($city){?>
        <li class="nav-item" role="presentation">
            <button class="nav-link" id="pills-city-tab" data-bs-toggle="pill" data-bs-target="#pills-city" type="button" role="tab" aria-controls="pills-city"  aria-selected="false"><?php echo esc_html__('Job By City', 'jxpress-portal'); ?></button>
        </li>
        <?php }?>
    </ul>
    <div class="tab-content border p-3" id="pills-tabContent">
        <?php if($category){?>
        <div class="tab-pane fade show active" id="pills-category" role="tabpanel" aria-labelledby="pills-category-tab">
            <div class="row">
                 <?php                  
                    $categories = get_terms('job-category', array('hide_empty' => false));
                    foreach ($categories as $category) {
                        ?>
                <div class="col-md-4 py-1"><a href="<?php echo get_term_link($category->slug, 'job-category');?>"><i class="fa fa-angle-right"></i> <?php esc_attr_e($category->name); ?></a></div>
                    <?php } ?>

            </div>
        </div>
        <?php }?>
         <?php if($industries){?>
        <div class="tab-pane fade" id="pills-industries" role="tabpanel" aria-labelledby="pills-industries-tab">
            <div class="row">
                 <?php                  
                    $categories = get_terms('industries', array('hide_empty' => false));
                    foreach ($categories as $category) {
                        ?>
                <div class="col-md-4 py-1"><a href="<?php echo get_term_link($category->slug, 'industries');?>"><i class="fa fa-angle-right"></i> <?php esc_attr_e($category->name); ?></a></div>
                    <?php } ?>

            </div>
        </div>
        <?php }?>
         <?php if($city){?>
        <div class="tab-pane fade" id="pills-city" role="tabpanel" aria-labelledby="pills-city-tab">
            <div class="row">
                 <?php                  
                    $categories = get_terms('city', array('hide_empty' => false));
                    foreach ($categories as $category) {
                        ?>
                <div class="col-md-4 py-1"><a href="<?php echo get_term_link($category->slug, 'city');?>"><i class="fa fa-angle-right"></i> <?php esc_attr_e($category->name); ?></a></div>
                    <?php } ?>

            </div>
        </div>
        <?php }?>
    </div>

    <?php
    return ob_get_clean();
}
