<?php
add_shortcode('jxpress_testimonials', 'jxpress_testimonials');

function jxpress_testimonials($atts) {
    extract(shortcode_atts(
                    array(
        'total_count' => 12
                    ), $atts));

    ob_start();
    $args = array(
        'post_type' => 'jxpress_testimonial',
        'posts_per_page' => $total_count
    );

    $the_query = new WP_Query($args);
    ?>
    <div class="jxpress-testimonial">
        <?php
        if ($the_query->have_posts()) {
            while ($the_query->have_posts()) {
                $the_query->the_post();
                ?>
                <div class="jxpress-testimonial-box text-center">
                    <?php the_post_thumbnail('full', array('class' => 'circle img-fluid')); ?>
                    <div class="content">
                        <?php the_content(); ?>
                        <div class="content-hr"></div>
                        <h4><?php echo get_the_title(); ?></h4>
                        <span><?php echo get_post_meta(get_the_ID(), 'position', true); ?></span>
                    </div>
                </div>
                <?php
            }
              wp_reset_query();
        }
        ?>
    </div>
    <?php
    return ob_get_clean();
}
