<?php
add_shortcode('jxpress_top_employers', 'jxpress_top_employers');

function jxpress_top_employers($atts) {
    extract(shortcode_atts(
                    array(
        'total_count' => 12
                    ), $atts));

    ob_start();
     $meta_query = array('relation' => 'OR');
     $meta_query[] = array(
        'key' => 'profile_completed',
        'value' => 1,
        'compare' => '='
    );
    $args = array(
        'number' => $total_count,
        'orderby' => 'nicename',
        'role' => 'employer'
    );
     $args['meta_query'] = $meta_query;
    $candidates = get_users($args);
    ?>
        <?php if (count($candidates) > 0) { ?>
        <div class="row">
        <?php } ?>
        <?php
        foreach ($candidates as $candidate) {
            $user_info = get_user_meta($candidate->ID);            
            ?>
            <div class="col-md-4 col-lg-2">
                <div class="border p-2 mb-2 text-center">
                    <a href="<?php echo get_author_posts_url($candidate->ID); ?>">
                        <?php if(isset($user_info['avatar']) && !empty($user_info['avatar'][0])){?>           
                <img src="<?php echo $user_info['avatar'][0];?>" class="img-fluid" alt="<?php echo esc_html(isset($user_info['user_title']) ? $user_info['user_title'][0] : ""); ?>"/>           
             <?php }?>
                    </a> 
                </div>
            </div>
            <?php }
        ?>
    <?php if (count($candidates) > 0) { ?>
        </div>
    <?php
    }
    return ob_get_clean();
}
