<?php
add_shortcode('jxpress_social_media', 'jxpress_social_media');

function jxpress_social_media($atts) {
    global $jxpress_data;
    $social_data = jxpress_footer_data();
    extract(shortcode_atts(
                    array(
        'title' => '',
        'facebook' => 1,
        'twitter' => 1,
        'instagram' => 1,
        'google_plush' => 1,
        'linkedin' => 1,
        'youtube' => 1,
        'dribbble' => 1,
        'stumbleupon' => 1,
        'vimeo' => 1,
        'pinterest' => 1,
        'flickr' => 1,
        'style' => 'bg',
        'line' => 1
                    ), $atts));

    ob_start();
    ?>
    <?php if (!empty($title)) { ?>
        <h2 class="widgettitle"><?php echo $title; ?></h2>
    <?php } ?>
    <ul class="follow <?php echo $style; ?>">
        <?php if ($facebook) { ?>
            <li class="bg-<?php echo $style; ?>"><a href="<?php echo esc_url($social_data['facebook']); ?>" ><i class="fa fa-facebook"></i></a></li>
        <?php } ?>
        <?php if ($twitter) { ?>
            <li class="bg-<?php echo $style; ?>"><a href="<?php echo esc_url($social_data['twitter']); ?>" ><i class="fa fa-twitter"></i></a></li>
        <?php } ?>
        <?php if ($instagram) { ?>
            <li class="bg-<?php echo $style; ?>"><a href="<?php echo esc_url($social_data['instagram']); ?>" ><i class="fa fa-instagram"></i></a></li>
        <?php } ?>
        <?php //if ($google_plush) { ?>
            <!-- <li class="bg-<?php //echo $style; ?>"><a href="<?php //echo esc_url($social_data['google']); ?>" ><i class="fa fa-google-plus" aria-hidden="true"></i></a></li> -->
        <?php //} ?>
        <?php if ($linkedin) { ?>
            <li class="bg-<?php echo $style; ?>"><a href="<?php echo esc_url($social_data['linkedin']); ?>"><i class="fa fa-linkedin" aria-hidden="true"></i></a></li>
        <?php } ?> 

        <?php if ($youtube) { ?>
            <li class="bg-<?php echo $style; ?>"><a href="<?php echo esc_url($social_data['youtube']); ?>"><i class="fa fa-youtube-play" aria-hidden="true"></i></a></li>
        <?php } ?>
        <?php if ($dribbble) { ?>
            <li class="bg-<?php echo $style; ?>"><a href="<?php echo esc_url($social_data['dribbble']); ?>"><i class="fa fa-dribbble" aria-hidden="true"></i></a></li>
        <?php } ?>
        <?php if ($stumbleupon) { ?>
            <li class="bg-<?php echo $style; ?>"><a href="<?php echo esc_url($social_data['stumbleupon']); ?>"><i class="fa fa-stumbleupon" aria-hidden="true"></i></a></li>
        <?php } ?>
        <?php if ($vimeo) { ?>
            <li class="bg-<?php echo $style; ?>"><a href="<?php echo esc_url($social_data['vimeo']); ?>"><i class="fa fa-vimeo" aria-hidden="true"></i></a></li>
        <?php } ?>
        <?php if ($pinterest) { ?>
            <li class="bg-<?php echo $style; ?>"><a href="<?php echo esc_url($social_data['pinterest']); ?>"><i class="fa fa-pinterest-p" aria-hidden="true"></i></a></li>
        <?php } ?>
        <?php if ($flickr) { ?>
            <li class="bg-<?php echo $style; ?>"><a href="<?php echo esc_url($social_data['flickr']); ?>"><i class="fa fa-flickr" aria-hidden="true"></i></a></li>
        <?php } ?>

    </ul>
    <?php if ($line) { ?>
        <div class="jxpress-border"></div>
    <?php } ?>
    <?php
    return ob_get_clean();
}
