<?php

add_filter('template_include', 'jxpress_template_loader');

function jxpress_template_loader($template) {

    $file = '';

    if (is_author()) {
        $author = get_queried_object();
        $author_id = $author->ID;
        $user = get_userdata($author_id);

// Get all the user roles as an array.
        $user_roles = $user->roles;

// Check if the role you're interested in, is present in the array.
        if (in_array('candidate', $user_roles, true)) {
            // Do something.
            $file = 'candidate-template.php'; // the name of your custom template
        }
        if (in_array('employer', $user_roles, true)) {
            // Do something.
            $file = 'employer-template.php'; // the name of your custom template
        }

        $find[] = $file;
        $find[] = $file; // name of folder it could be in, in user's theme
    }
    if (is_singular('jobs')) {
        $file = 'single-jobs.php'; // the name of your custom template

        $find[] = $file;
        $find[] = $file;
    }
   
    if (is_tax( 'job-category' ) || is_tax( 'industries' ) || is_tax( 'city' )) {
        $file = 'archive-jobs.php'; // the name of your custom template

        $find[] = $file;
        $find[] = $file;
    }
    
    if ($file) {
        $template = locate_template(array_unique($find));
        if (!$template) {
            // if not found in theme, will use your plugin version
            $template = untrailingslashit(plugin_dir_path(__FILE__)) . '/' . $file;
        }
    }

    return $template;
}

?>