<?php 
if ( isset( $_GET['action'] ) || isset( $_GET['status'] ) ) {
	if ( ! empty( $_GET['status'] ) && $_GET['status'] == 'success' ) {
		echo '<h5 class="import-success-mgs">'.esc_html__( 'Data import is done!', 'jxpress-portal' ).'</h5>';
	}
}
?>
<h3><?php esc_html_e( 'User\'s Data Import/Export', 'jxpress-portal' ); ?></h3>
<hr/>

<h4><?php esc_html_e( 'Export Data', 'jxpress-portal' ); ?></h4>
<form class="forms-sample" method="post" action="" id="export_users_data" autocomplete="off">
	<input type="hidden" value="" name="csv_user_id" id="csv_user_id">
    <input type="hidden" name="user_data_action" value="user_data_export_settings" />
    <?php wp_nonce_field( 'user_data_export_nonce', 'user_data_export_nonce' ); ?>

    <input type="submit" class="button" name="users_csv_download_btn" id="users_csv_download_btn" value="<?php esc_html_e( 'Export', 'clockinator' ); ?>">
</form>
</br>
<hr/>
<h4><?php esc_html_e( 'Import Data', 'jxpress-portal' ); ?></h4>
<form class="forms-sample" method="post" enctype="multipart/form-data" id="import_users_data">

	<div class="file-field">
	    <a class="btn-floating purple-gradient mt-0 float-left">
	        <input type="file" name="user_data_import_file">
	    </a>
		<div class="file-path-wrapper">
	       <input type="hidden" name="user_data_import_action" value="user_data_import_settings" />
	       <?php wp_nonce_field( 'user_data_import_nonce', 'user_data_import_nonce' ); ?>
	       <?php submit_button( esc_html__( 'Import', 'clockinator' ), 'secondary', 'submit_import', false ); ?>
	    </div>
	</div>

</form>
<style type="text/css">
	h5.import-success-mgs {
	    border-left-color: #3ab72b!important;
	    background: #fff;
	    border: 1px solid #c3c4c7;
	    border-left-width: 4px;
	    box-shadow: 0 1px 1px rgb(0 0 0 / 4%);
	    margin: 5px 15px 2px;
	    padding: 6px 12px;
	    font-size: 12px;
	}
</style>