<?php

function jxpress_footer_post_type_init() {
	$labels = array(
		'name'               => __('Footers', 'jxpress-portal'),
		'singular_name'      => __('Footer', 'jxpress-portal'),
		'menu_name'          => __('Custom Footers', 'jxpress-portal'),
		'name_admin_bar'     => __('Footer', 'jxpress-portal'),
		'add_new'            => __('Add New', 'jxpress-portal'),
		'add_new_item'       => __('Add New Footer', 'jxpress-portal'),
		'new_item'           => __('New Footer', 'jxpress-portal'),
		'edit_item'          => __('Edit Footer', 'jxpress-portal'),
		'view_item'          => __('View Footer', 'jxpress-portal'),
		'all_items'          => __('All Footers', 'jxpress-portal'),
		'search_items'       => __('Search Footers', 'jxpress-portal'),
		'not_found'          => __('No footers found.', 'jxpress-portal'),
		'not_found_in_trash' => __('No footers found in Trash.', 'jxpress-portal')
	);

	$args = array(
		'labels'               => $labels,
		'public'               => true,
		'exclude_from_search'  => true,		
		'show_ui'              => true,
		'query_var'            => false,
		'hierarchical'         => false,
		'supports'             => array('title', 'editor'),
		'menu_position'        => 39,
                'menu_icon'   => 'dashicons-welcome-widgets-menus',
                'publicly_queryable'  => false
	);

	register_post_type('jxpress_footer', $args);
}
add_action('init', 'jxpress_footer_post_type_init', 5);

