<?php

function jxpress_testimonials_post_type_init() {
	$labels = array(
		'name'               => __('Testimonials', 'jxpress-portal'),
		'singular_name'      => __('Testimonial', 'jxpress-portal'),
		'menu_name'          => __('Testimonials', 'jxpress-portal'),
		'name_admin_bar'     => __('Testimonial', 'jxpress-portal'),
		'add_new'            => __('Add New', 'jxpress-portal'),
		'add_new_item'       => __('Add New Testimonial', 'jxpress-portal'),
		'new_item'           => __('New Testimonial', 'jxpress-portal'),
		'edit_item'          => __('Edit Testimonial', 'jxpress-portal'),
		'view_item'          => __('View Testimonial', 'jxpress-portal'),
		'all_items'          => __('All Testimonials', 'jxpress-portal'),
		'search_items'       => __('Search Testimonials', 'jxpress-portal'),
		'not_found'          => __('No testimonials found.', 'jxpress-portal'),
		'not_found_in_trash' => __('No testimonials found in Trash.', 'jxpress-portal')
	);

	$args = array(
		'labels'               => $labels,
		'public'               => true,
		'exclude_from_search'  => true,		
		'show_ui'              => true,
		'query_var'            => false,
		'hierarchical'         => false,
		'supports'             => array('title', 'editor','thumbnail'),
		'menu_position'        => 39,
                'menu_icon'   => 'dashicons-welcome-widgets-menus',
                'publicly_queryable'  => false
	);

	register_post_type('jxpress_testimonial', $args);
}
add_action('init', 'jxpress_testimonials_post_type_init', 5);

