<?php

remove_filter('pre_user_description', 'wp_filter_kses');
require_once(plugin_dir_path(__FILE__) . 'user-role.php');
require_once(plugin_dir_path(__FILE__) . 'user-functions.php');
require_once(plugin_dir_path(__FILE__) . 'user-login-signup.php');
require_once(plugin_dir_path(__FILE__) . 'user-dashboard.php');

function jxpress_content_filter($content) {
    
    $account = get_option('jxpress_account');
    $login  = get_option('jxpress_login');
    if ( is_user_logged_in() && ( jxpress_userrole_exist('candidate') || jxpress_userrole_exist('employer') || jxpress_userrole_exist('administrator') )) {
        if ( $login == get_the_id() || $account == get_the_id() ) {
            return '[jxpressdashboard]';
        }
    }
    if (!is_user_logged_in() && ($login == get_the_id() || $account == get_the_id()))
    {
         return '[jxpresssignup]';
    }
     
    return $content;
}

add_filter('the_content', 'jxpress_content_filter');
