<?php
global $current_user, $wpdb;
 $portal_data = jxpress_portal_data();
$user_id = get_current_user_id();
$user_info = get_user_meta($user_id);
$user_data = get_userdata($user_id);
$postid = 0;
$portal_data = jxpress_portal_data();
$mapbox_key = get_option('mapbox_key');
if (isset($_REQUEST['job_id'])) {
    $postid = $_REQUEST['job_id'];
    $meta = get_post_meta($postid);
}
?>
<div class=" border px-3 py-1">
    <form id="user-profile" action="" method="post" novalidate enctype="multipart/form-data">
        <input type="hidden" name="action" value="jobpost">
        <input type="hidden" name="postid" value="<?php echo $postid; ?>">
        <?php wp_nonce_field('ajax-jobpost-nonce', 'security'); ?>
        <?php if(isset($_REQUEST['job_id'])){?>
        <h4 class="jxpress-title mb-2 mt-3"><?php echo esc_html__('Update Post Information', 'jxpress-portal'); ?></h4> 
        <?php }else{?>
        <h4 class="jxpress-title mb-2 mt-3"><?php echo esc_html__('Post New Job', 'jxpress-portal'); ?></h4> 
        <?php }?>
        <div class="row">
            <div class="form-group col-md-12 p-l">
                <p class="status alert-warning px-2 mb-0"></p> 
            </div>

            <div class="form-group col-md-12 p-r">
                <label><?php echo esc_html__('Job Title', 'jxpress-portal'); ?></label>
                <input type="text" class="form-control" name="post_title" value="<?php echo isset($_REQUEST['job_id']) ? get_the_title($postid) : ""; ?>" required>
            </div>       

            <div class="form-group col-md-12 p-r">
                <label><?php echo esc_html__('Description', 'jxpress-portal'); ?></label>            
                <textarea rows="20" cols="40" name="post_content" id="editor" class="editor-textarea">
                    <?php echo isset($_REQUEST['job_id']) ? get_post_field('post_content', $postid) : ""; ?>
                </textarea>
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Job Type', 'jxpress-portal'); ?></label>
                <select name="job_type[]" class="form-control form-control-chosen" required  multiple=""> 
                    <?php
                    $terms = wp_get_post_terms($postid, 'job-type');
                    $selected_values = [];
                    foreach ($terms as $term) {
                        $selected_values[] = $term->term_id;
                    }
                    $categories = get_terms('job-type', array('hide_empty' => false));
                    foreach ($categories as $category) {
                        ?>
                        <option  <?php echo esc_html((isset($_REQUEST['job_id']) && in_array($category->term_id, $selected_values)) ? "selected" : ""); ?> value="<?php esc_attr_e($category->term_id); ?>"><?php esc_attr_e($category->name); ?></option>
                    <?php } ?>
                </select>
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Job Category', 'jxpress-portal'); ?></label>
                <select name="job_category" class="form-control form-control-chosen" required data-placeholder="Please Select Job Category"> 
                    <?php
                    $terms = wp_get_post_terms($postid, 'job-category');
                    $selected_values = [];
                    foreach ($terms as $term) {
                        $selected_values[] = $term->term_id;
                    }
                    $categories = get_terms('job-category', array('hide_empty' => false));
                    foreach ($categories as $category) {
                        ?>
                        <option  <?php echo esc_html((isset($_REQUEST['job_id']) && in_array($category->term_id, $selected_values)) ? "selected" : ""); ?> value="<?php esc_attr_e($category->term_id); ?>"><?php esc_attr_e($category->name); ?></option>
                    <?php } ?>



                </select>
            </div>
            
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Offerd Salary', 'jxpress-portal'); ?></label>
                <select name="job_salary" class="form-control form-control-chosen" required data-placeholder="Please Select Offerd Salary"> 

                    <?php
                    $terms = wp_get_post_terms($postid, 'salary');
                    $selected_values = [];
                    foreach ($terms as $term) {
                        $selected_values[] = $term->term_id;
                    }
                    $categories = get_terms('salary', array('hide_empty' => false));
                    foreach ($categories as $category) {
                        ?>
                        <option  <?php echo esc_html((isset($_REQUEST['job_id']) && in_array($category->term_id, $selected_values)) ? "selected" : ""); ?> value="<?php esc_attr_e($category->term_id); ?>"><?php esc_attr_e($category->name); ?></option>
                    <?php } ?>


                </select>
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Industry', 'jxpress-portal'); ?></label>
                <select name="job_industry" class="form-control form-control-chosen" required data-placeholder="Please Select Offerd Salary"> 
                    <?php
                    $terms = wp_get_post_terms($postid, 'industries');
                    $selected_values = [];
                    foreach ($terms as $term) {
                        $selected_values[] = $term->term_id;
                    }
                    $categories = get_terms('industries', array('hide_empty' => false));
                    foreach ($categories as $category) {
                        ?>
                        <option  <?php echo esc_html((isset($_REQUEST['job_id']) && in_array($category->term_id, $selected_values)) ? "selected" : ""); ?> value="<?php esc_attr_e($category->term_id); ?>"><?php esc_attr_e($category->name); ?></option>
                    <?php } ?>



                </select>
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Candidate Languages', 'jxpress-portal'); ?></label>
                <select name="job_languages[]" class="form-control form-control-chosen" required data-placeholder="Please Select" multiple=""> 

                    <?php
                    $terms = wp_get_post_terms($postid, 'language');
                    $selected_values = [];
                    foreach ($terms as $term) {
                        $selected_values[] = $term->term_id;
                    }
                    $categories = get_terms('language', array('hide_empty' => false));
                    foreach ($categories as $category) {
                        ?>
                        <option  <?php echo esc_html((isset($_REQUEST['job_id']) && in_array($category->term_id, $selected_values)) ? "selected" : ""); ?> value="<?php esc_attr_e($category->term_id); ?>"><?php esc_attr_e($category->name); ?></option>
                    <?php } ?>


                </select>
            </div>

            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Experience', 'jxpress-portal'); ?></label>
                <select name="job_experience" class="form-control form-control-chosen" required data-placeholder="Please Select"> 

                    <?php
                    $terms = wp_get_post_terms($postid, 'experience');
                    $selected_values = [];
                    foreach ($terms as $term) {
                        $selected_values[] = $term->term_id;
                    }
                    $categories = get_terms('experience', array('hide_empty' => false));
                    foreach ($categories as $category) {
                        ?>
                        <option  <?php echo esc_html((isset($_REQUEST['job_id']) && in_array($category->term_id, $selected_values)) ? "selected" : ""); ?> value="<?php esc_attr_e($category->term_id); ?>"><?php esc_attr_e($category->name); ?></option>
                    <?php } ?>


                </select>
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Gender', 'jxpress-portal'); ?></label>
                <select name="job_gender" class="form-control form-control-chosen" required data-placeholder="Please Select"> 

                    <?php
                    $terms = wp_get_post_terms($postid, 'gender');
                    $selected_values = [];
                    foreach ($terms as $term) {
                        $selected_values[] = $term->term_id;
                    }
                    $categories = get_terms('gender', array('hide_empty' => false));
                    foreach ($categories as $category) {
                        ?>
                        <option  <?php echo esc_html((isset($_REQUEST['job_id']) && in_array($category->term_id, $selected_values)) ? "selected" : ""); ?> value="<?php esc_attr_e($category->term_id); ?>"><?php esc_attr_e($category->name); ?></option>
                    <?php } ?>


                </select>
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Qualification', 'jxpress-portal'); ?></label>
                <select name="job_qualification[]" class="form-control form-control-chosen" required data-placeholder="Please Select" multiple=""> 
                    <?php
                    $terms = wp_get_post_terms($postid, 'qualification');
                    $selected_values = [];
                    foreach ($terms as $term) {
                        $selected_values[] = $term->term_id;
                    }
                    $categories = get_terms('qualification', array('hide_empty' => false));
                    foreach ($categories as $category) {
                        ?>
                        <option  <?php echo esc_html((isset($_REQUEST['job_id']) && in_array($category->term_id, $selected_values)) ? "selected" : ""); ?> value="<?php esc_attr_e($category->term_id); ?>"><?php esc_attr_e($category->name); ?></option>
                    <?php } ?>



                </select>
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Job end Date', 'jxpress-portal'); ?></label>
                <input type="text" class="form-control datepicker" data-days="30" name="job_expire" value="<?php echo get_post_meta($postid, 'job_expire', true); ?>" required>
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Country', 'jxpress-portal'); ?></label>
                <select name="job_country" class="form-control form-control-chosen" data-placeholder="Please Select Country">                 
                    <?php
                    $terms = wp_get_post_terms($postid, 'country');
                    $selected_values = [];
                    foreach ($terms as $term) {
                        $selected_values[] = $term->term_id;
                    }
                    $categories = get_terms('country', array('hide_empty' => false));
                    foreach ($categories as $category) {
                        ?>
                        <option  <?php echo esc_html((isset($_REQUEST['job_id']) && in_array($category->term_id, $selected_values)) ? "selected" : ""); ?> value="<?php esc_attr_e($category->term_id); ?>"><?php esc_attr_e($category->name); ?></option>
                    <?php } ?>



                </select>
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('City', 'jxpress-portal'); ?></label>
                <select name="job_city" class="form-control form-control-chosen" data-placeholder="Please Select City"> 
                    <?php
                    $terms = wp_get_post_terms($postid, 'city');
                    $selected_values = [];
                    foreach ($terms as $term) {
                        $selected_values[] = $term->term_id;
                    }
                    $categories = get_terms('city', array('hide_empty' => false));
                    foreach ($categories as $category) {
                        ?>
                        <option  <?php echo esc_html((isset($_REQUEST['job_id']) && in_array($category->term_id, $selected_values)) ? "selected" : ""); ?> value="<?php esc_attr_e($category->term_id); ?>"><?php esc_attr_e($category->name); ?></option>
                    <?php } ?>


                </select>
            </div>
            <div class="form-group col-md-12 p-r">
                <label><?php echo esc_html__('Address', 'jxpress-portal'); ?></label>
                <div id="geocoder"></div>
                <?php 
                    if ( isset( $portal_data['map_option'] ) && $portal_data['map_option'] != 'googlemap' ) {
                        $HideClass = 'line-height: 20px;';
                    } else {
                        $HideClass = '';
                    }
                ?>
                <textarea style="<?php echo esc_attr( $HideClass ); ?>" rows="" cols="40" name="job_address" id="jxpress_address" class="required"><?php echo get_post_meta($postid, 'job_address', true); ?></textarea>
            </div> 
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Latitude', 'jxpress-portal'); ?></label>
                <input type="text" class="form-control" id="jxpress_latitude" name="job_latitude" value="<?php echo!empty(get_post_meta($postid, 'job_latitude', true)) ? get_post_meta($postid, 'job_latitude', true) : 0; ?>">
            </div>
            <div class="form-group col-md-6 p-r">
                <label><?php echo esc_html__('Longitude', 'jxpress-portal'); ?></label>
                <input type="text" class="form-control" id="jxpress_longitude" name="job_longitude" value="<?php echo!empty(get_post_meta($postid, 'job_longitude', true)) ? get_post_meta($postid, 'job_longitude', true) : 0; ?>">
            </div>

            <div class="form-group col-md-12 p-r">
                <div id="jxpressmap-profile"></div>
            </div> 
            

            <script src="https://api.mapbox.com/mapbox-gl-js/plugins/mapbox-gl-geocoder/v5.0.0/mapbox-gl-geocoder.min.js"></script>
        <link rel="stylesheet" href="https://api.mapbox.com/mapbox-gl-js/plugins/mapbox-gl-geocoder/v5.0.0/mapbox-gl-geocoder.css" type="text/css">
        <?php if ( isset( $portal_data['map_option'] ) && $portal_data['map_option'] != 'googlemap' ) {
            if ( empty( $map_marker ) ) {
                $map_marker = 'https://webmasterdriver.net/jxpress/wp-content/uploads/2019/03/mapbox-icon.png';
            }

            if ( empty( $mapbox_key ) ) {
                $mapbox_key = 'pk.eyJ1Ijoid2VibWFzdGVyZHJpdmVyIiwiYSI6ImNsaHZudDl1ajBibTYzY213MHA0N3ZscjEifQ.xSVUFqwfSYccn4XwNqPYjw';
            }
        ?>
        <script type="text/javascript">
            mapboxgl.accessToken = '<?php echo $mapbox_key; ?>';

            var lat = <?php echo!empty(get_post_meta($postid, 'job_latitude', true)) ? get_post_meta($postid, 'job_latitude', true) : '43.6568'; ?>;
            var long = <?php echo!empty(get_post_meta($postid, 'job_longitude', true)) ? get_post_meta($postid, 'job_longitude', true) : '-79.4512'; ?>;

            const map = new mapboxgl.Map({
                container: 'jxpressmap-profile',
                // Choose from Mapbox's core styles, or make your own style with Mapbox Studio
                style: 'mapbox://styles/mapbox/streets-v12',
                center: [long, lat],
                zoom: 13
            });

            const geojson = {
              type: 'FeatureCollection',
              features: [
                {
                  type: 'Feature',
                  geometry: {
                    type: 'Point',
                    coordinates: [long, lat]
                  },
                  properties: {
                    title: 'This job',
                    description: ''
                  }
                }
              ]
            };

            for (const feature of geojson.features) {
              // create a HTML element for each feature
              const el = document.createElement('div');
              el.className = 'marker';

              // make a marker for each feature and add to the map
              new mapboxgl.Marker(el).setLngLat(feature.geometry.coordinates).addTo(map);
            }
                         
            // Add the control to the map.
            const geocoder = new MapboxGeocoder({
                accessToken: mapboxgl.accessToken,
                mapboxgl: mapboxgl
            });

            geocoder.on('result', function(r) {
              jQuery('#jxpress_latitude').val(r.result.center[1]);
              jQuery('#jxpress_longitude').val(r.result.center[0]);
              jQuery('#jxpress_address').val(r.result.place_name); 

              lat  = r.result.center[0];
              long = r.result.center[1];
            })
             
            document.getElementById('geocoder').appendChild(geocoder.onAdd(map));

        </script>
        <style>
            .marker {
                background-image: url('<?php echo $map_marker; ?>');
            }.mapboxgl-ctrl-geocoder.mapboxgl-ctrl {
                width: 100%;
                max-width: 100%;
            }.mapboxgl-ctrl-geocoder.mapboxgl-ctrl input {
                padding-left: 30px;
                border: none;
            }textarea#jxpress_address {
                margin-top: 2%;
            }
        </style><?php } ?>

            <?php if (!isset($_REQUEST['job_id']) && $portal_data['activate_woocommerce']) { ?>
                <div class="form-group col-md-12 p-r">
                    <label><?php echo esc_html__('Select Package', 'jxpress-portal'); ?></label>
                    <select name="job_package" class="form-control form-control-chosen job-package"  data-placeholder="Please Select Package" required> 
                         <option data-featured="0" value=""></option>
                        <?php
                        $packages = $wpdb->get_results("SELECT umeta_id, user_id, meta_key, meta_value FROM $wpdb->usermeta where meta_key='user_package' and user_id=" . $user_id);
                        foreach ($packages as $packagejason) {
                            $package = json_decode($packagejason->meta_value);

                            if ($package->package_listing_remaining > 0) {
                                ?>
                                <option  data-featured="<?php echo esc_html($package->featured); ?>"  value="<?php echo esc_html($packagejason->umeta_id); ?>"><?php echo esc_html($package->package_name); ?></option>
                                <?php
                            }
                        }
                        ?>
                    </select>
                </div>  
            <?php } ?>
             <div class="form-group col-md-6 p-r d-none job-featured-section">               
                <input type="checkbox"  id="job_featured" name="job_featured" value="1">  <label for="job_featured"><?php echo esc_html__('Featured', 'jxpress-portal'); ?></label>
            </div>

            <div class="form-group col-md-12 p-r">
                <input class="btn btn-larger btn-block" type="submit" value="<?php echo isset($_REQUEST['job_id']) ? esc_html__('Edit Job', 'jxpress-portal') : esc_html__('Add Job', 'jxpress-portal'); ?>">
            </div>
        </div>


    </form>
</div>


