<?php

add_action('vc_before_init', 'jxpress_vc_elements');

function jxpress_vc_elements() {

    // Browse candidates Shortcode
    vc_map(array(
        "name" => __("Browse Candidates", "jxpress-portal"),
        "base" => "jxpress_candidate_list",
        "class" => "",
        "category" => __("JXPress", "jxpress-portal"),
        "params" => array(
            array(
                "type" => "checkbox",
                "heading" => __("Map", "jxpress-portal"),
                "param_name" => "map",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Filter", "jxpress-portal"),
                "param_name" => "filter",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Grid View", "jxpress-portal"),
                "param_name" => "grid",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Show Number Of Result and Grid/List Options", "jxpress-portal"),
                "param_name" => "resultsnviewfilter",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Search By Name", "jxpress-portal"),
                "param_name" => "name",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
                'group' => esc_html__('Filter', 'jxpress-portal'),
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Search By City", "jxpress-portal"),
                "param_name" => "city",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
                'group' => esc_html__('Filter', 'jxpress-portal'),
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Search By Category", "jxpress-portal"),
                "param_name" => "category",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
                'group' => esc_html__('Filter', 'jxpress-portal'),
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Search By Experience", "jxpress-portal"),
                "param_name" => "experience",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
                'group' => esc_html__('Filter', 'jxpress-portal'),
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Search By Qualification", "jxpress-portal"),
                "param_name" => "qualification",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
                'group' => esc_html__('Filter', 'jxpress-portal'),
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Search By Language", "jxpress-portal"),
                "param_name" => "language",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
                'group' => esc_html__('Filter', 'jxpress-portal'),
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Search By Salary", "jxpress-portal"),
                "param_name" => "salary",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
                'group' => esc_html__('Filter', 'jxpress-portal'),
            )
        )
            )
    );



    // Browse Employer Shortcode
    vc_map(array(
        "name" => __("Browse Employers", "jxpress-portal"),
        "base" => "jxpress_employer_list",
        "class" => "",
        "category" => __("JXPress", "jxpress-portal"),
        "params" => array(
            array(
                "type" => "checkbox",
                "heading" => __("Map", "jxpress-portal"),
                "param_name" => "map",
                "value" => __("true", "jxpress-portal"),
                'std' => 'true',
                'save_always' => true
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Filter", "jxpress-portal"),
                "param_name" => "filter",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Grid View", "jxpress-portal"),
                "param_name" => "grid",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Show Number Of Result and Grid/List Options", "jxpress-portal"),
                "param_name" => "resultsnviewfilter",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Search By Name", "jxpress-portal"),
                "param_name" => "name",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
                'group' => esc_html__('Filter', 'jxpress-portal'),
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Search By City", "jxpress-portal"),
                "param_name" => "city",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
                'group' => esc_html__('Filter', 'jxpress-portal'),
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Search By Category", "jxpress-portal"),
                "param_name" => "category",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
                'group' => esc_html__('Filter', 'jxpress-portal'),
            )
        )
            )
    );


    // Browse Jobs Shortcode
    vc_map(array(
        "name" => __("Browse Jobs", "jxpress-portal"),
        "base" => "jxpress_job_list",
        "class" => "",
        "category" => __("JXPress", "jxpress-portal"),
        "params" => array(
            array(
                "type" => "checkbox",
                "heading" => __("Map", "jxpress-portal"),
                "param_name" => "map",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Filter", "jxpress-portal"),
                "param_name" => "filter",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Grid View", "jxpress-portal"),
                "param_name" => "grid",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Show Number Of Result and Grid/List Options", "jxpress-portal"),
                "param_name" => "resultsnviewfilter",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Search By Name", "jxpress-portal"),
                "param_name" => "name",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
                'group' => esc_html__('Filter', 'jxpress-portal'),
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Search By City", "jxpress-portal"),
                "param_name" => "city",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
                'group' => esc_html__('Filter', 'jxpress-portal'),
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Search By Category", "jxpress-portal"),
                "param_name" => "category",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
                'group' => esc_html__('Filter', 'jxpress-portal'),
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Search By Experience", "jxpress-portal"),
                "param_name" => "experience",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
                'group' => esc_html__('Filter', 'jxpress-portal'),
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Search By Qualification", "jxpress-portal"),
                "param_name" => "qualification",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
                'group' => esc_html__('Filter', 'jxpress-portal'),
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Search By Language", "jxpress-portal"),
                "param_name" => "language",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
                'group' => esc_html__('Filter', 'jxpress-portal'),
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Search By Salary", "jxpress-portal"),
                "param_name" => "salary",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
                'group' => esc_html__('Filter', 'jxpress-portal'),
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Search By Gender", "jxpress-portal"),
                "param_name" => "gender",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
                'group' => esc_html__('Filter', 'jxpress-portal'),
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Search By Type", "jxpress-portal"),
                "param_name" => "type",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
                'group' => esc_html__('Filter', 'jxpress-portal'),
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Search By Industries", "jxpress-portal"),
                "param_name" => "industries",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true',
                'group' => esc_html__('Filter', 'jxpress-portal'),
            )
        )
            )
    );



    // Browse Featured Jobs Shortcode
    vc_map(array(
        "name" => __("Featured Jobs", "jxpress-portal"),
        "base" => "jxpress_featured_job_list",
        "class" => "",
        "category" => __("JXPress", "jxpress-portal"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("No Of jobs", "jxpress-portal"),
                "param_name" => "per_page",
                'save_always' => true,
                "description" => __("Enter -1 for all jobs", "jxpress-portal")
            ),
             array(
                "type" => "dropdown",
                "heading" => __("Style", "jxpress-portal"),
                "param_name" => "style",
                'value' => array(
                    'List View' => 'list',
                    'Grid View' => 'grid'
                ),
                'std' => 'bg',
                'save_always' => true
            ),
        )
            )
    );


    // Job Search Shortcode
    vc_map(array(
        "name" => __("Job Search Form", "jxpress-portal"),
        "base" => "jxpress_job_search",
        "class" => "",
        "category" => __("JXPress", "jxpress-portal"),
        "params" => array(
            array(
                "type" => "checkbox",
                "heading" => __("Search By Title", "jxpress-portal"),
                "param_name" => "title",
                "value" => __("true", "jxpress-portal"),
                'std' => 'true',
                'save_always' => true
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Seatch By City", "jxpress-portal"),
                "param_name" => "city",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
             array(
                "type" => "checkbox",
                "heading" => __("Fileds in row", "jxpress-portal"),
                "param_name" => "row",
                "value" => __("false", "jxpress-portal"),
                'save_always' => true,
                'std' => 'false'
            )
        )
            )
    );

    // Job Search Shortcode for Home 1
    vc_map(array(
        "name" => __("New Job Search Form", "jxpress-portal"),
        "base" => "jxpress_job_search_home1",
        "class" => "",
        "category" => __("JXPress", "jxpress-portal"),
        "params" => array(
            array(
                "type" => "checkbox",
                "heading" => __("Search By Title", "jxpress-portal"),
                "param_name" => "title",
                "value" => __("true", "jxpress-portal"),
                'std' => 'true',
                'save_always' => true
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Seatch By City", "jxpress-portal"),
                "param_name" => "city",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
             array(
                "type" => "checkbox",
                "heading" => __("Fileds in row", "jxpress-portal"),
                "param_name" => "row",
                "value" => __("false", "jxpress-portal"),
                'save_always' => true,
                'std' => 'false'
            )
        )
            )
    );

// Recent Job Slider
    vc_map(array(
        "name" => __("Recent Job Slider", "jxpress-portal"),
        "base" => "jxpress_recent_job",
        "class" => "",
        "category" => __("JXPress", "jxpress-portal"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("No of Jobs", "jxpress-portal"),
                "param_name" => "total_jobs",
                'save_always' => true
            ),
            array(
                "type" => "dropdown",
                "heading" => __("No of Columns", "jxpress-portal"),
                "param_name" => "columns",
                'value' =>
                array(
                    __('1', "jxpress-portal") => '1',
                    __('2', "jxpress-portal") => '2',
                    __('3', "jxpress-portal") => '3',
                    __('4', "jxpress-portal") => '4',
                    __('6', "jxpress-portal") => '6',
                ),
                'std' => '4',
                'save_always' => true
            ),
        )
            )
    );


    // Browse Job Package
    vc_map(array(
        "name" => __("Job Packages", "jxpress-portal"),
        "base" => "jxpressplans",
        "class" => "",
        "category" => __("JXPress", "jxpress-portal")
            )
    );

    // Browse Social Media
    vc_map(array(
        "name" => __("Social Media", "jxpress-portal"),
        "base" => "jxpress_social_media",
        "class" => "",
        "category" => __("JXPress", "jxpress-portal"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Title", "jxpress-portal"),
                "param_name" => "title",
                'save_always' => true
            ),
            array(
                "type" => "dropdown",
                "heading" => __("Style", "jxpress-portal"),
                "param_name" => "style",
                'value' => array(
                    'Primary Color Bg' => 'bg',
                    'Transparent' => 'transparent'
                ),
                'std' => 'bg',
                'save_always' => true
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Show Line Under Icons", "jxpress-portal"),
                "param_name" => "line",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Facebook", "jxpress-portal"),
                "param_name" => "facebook",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Twitter", "jxpress-portal"),
                "param_name" => "twitter",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Instagram", "jxpress-portal"),
                "param_name" => "instagram",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Google+", "jxpress-portal"),
                "param_name" => "google_plush",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Linkedin", "jxpress-portal"),
                "param_name" => "linkedin",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Youtube", "jxpress-portal"),
                "param_name" => "youtube",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Dribbble", "jxpress-portal"),
                "param_name" => "dribbble",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("StumbleUpon", "jxpress-portal"),
                "param_name" => "stumbleupon",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Vimeo", "jxpress-portal"),
                "param_name" => "vimeo",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Pinterest", "jxpress-portal"),
                "param_name" => "pinterest",
                "value" => __("true", "jxpress"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Flickr", "jxpress-portal"),
                "param_name" => "flickr",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            )
        )
            )
    );



    // Job By Category
    vc_map(array(
        "name" => __("Job By Category", "jxpress-portal"),
        "base" => "jxpress_job_by_category",
        "class" => "",
        "category" => __("JXPress", "jxpress-portal"),
        "params" => array(
            array(
                "type" => "checkbox",
                "heading" => __("Category", "jxpress-portal"),
                "param_name" => "category",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Industries", "jxpress-portal"),
                "param_name" => "industries",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                "type" => "checkbox",
                "heading" => __("City", "jxpress-portal"),
                "param_name" => "city",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            )
        )
            )
    );



    // Job Category Blocks
    vc_map(array(
        "name" => __("Job Category Box", "jxpress-portal"),
        "base" => "jxpress_job_category_blocks",
        "class" => "",
        "category" => __("JXPress", "jxpress-portal"),
        "params" => array(
            array(
                "type" => "checkbox",
                "heading" => __("Show Job Count", "jxpress-portal"),
                "param_name" => "job_count",
                "value" => __("true", "jxpress-portal"),
                'save_always' => true,
                'std' => 'true'
            ),
            array(
                'type' => 'checkbox',
                'heading' => __('Category', 'jxpress-portal'),
                'param_name' => 'category_set',
                'value' => jxpress_vc_get_terms('job-category'),
                'save_always' => true,
                'group' => __('Category', 'jxpress-portal')
            ),
            array(
                "type" => "dropdown",
                "heading" => __("No of Columns", "jxpress-portal"),
                "param_name" => "columns",
                'value' =>
                array(
                    __('1', "jxpress-portal") => '1',
                    __('2', "jxpress-portal") => '2',
                    __('3', "jxpress-portal") => '3',
                    __('4', "jxpress-portal") => '4',
                    __('6', "jxpress-portal") => '6',
                ),
                'std' => '4',
                'save_always' => true
            ),
             array(
                "type" => "dropdown",
                "heading" => __("Style", "jxpress-portal"),
                "param_name" => "style",
                'value' => array(
                    'Style 1' => 'style1',
                    'Style 2' => 'style2'
                ),
                'std' => 'bg',
                'save_always' => true
            ),
        )
            )
    );




    // Counter Block
    vc_map(array(
        "name" => __("Counter Block", "jxpress-portal"),
        "base" => "jxpress_counter_block",
        "class" => "",
        "category" => __("JXPress", "jxpress-portal"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Title", "jxpress-portal"),
                "param_name" => "title",
                "value" => __("", "jxpress-portal"),
                'save_always' => true
            ),
            array(
                "type" => "textfield",
                "heading" => __("Counter", "jxpress-portal"),
                "param_name" => "counter",
                "value" => __("", "jxpress-portal"),
                'save_always' => true
            ),
            array(
                "type" => "iconpicker",
                "heading" => __("Icon", "jxpress-portal"),
                "param_name" => "icon",
                'value' => 'ti-briefcase',
                "settings" => array("emptyIcon" => false,
                    "type" => "themifyicon",
                    "iconsPerPage" => 200)
            )
        )
            )
    );


    // Top Employer
    vc_map(array(
        "name" => __("Top Employers", "jxpress-portal"),
        "base" => "jxpress_top_employers",
        "class" => "",
        "category" => __("JXPress", "jxpress-portal"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("No of Employers", "jxpress-portal"),
                "param_name" => "total_count",
                "value" => __("", "jxpress-portal"),
                'save_always' => true
            )
        )
            )
    );


    // Testimonials
    vc_map(array(
        "name" => __("Testimonials", "jxpress-portal"),
        "base" => "jxpress_testimonials",
        "class" => "",
        "category" => __("JXPress", "jxpress-portal"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("No of testimonials", "jxpress-portal"),
                "param_name" => "total_count",
                "value" => __("", "jxpress-portal"),
                'save_always' => true
            )
        )
            )
    );

    // Blog
    vc_map(array(
        "name" => __("Blogs", "jxpress-portal"),
        "base" => "jxpress_blogs",
        "class" => "",
        "category" => __("JXPress", "jxpress-portal"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("No of Posts", "jxpress-portal"),
                "param_name" => "total_count",
                "value" => __("", "jxpress"),
                'save_always' => true
            )
        )
            )
    );


    // Icon Block
    vc_map(array(
        "name" => __("Icon Block", "jxpress-portal"),
        "base" => "jxpress_icon_block",
        "class" => "",
        "category" => __("JXPress", "jxpress-portal"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Title", "jxpress-portal"),
                "param_name" => "title",
                "value" => __("", "jxpress-portal"),
                'save_always' => true
            ),
            array(
                "type" => "textarea_html",
                "heading" => __("Content", "jxpress-portal"),
                "param_name" => "content",
                "value" => __("", "jxpress-portal"),
                'save_always' => true
            ),
            array(
                "type" => "iconpicker",
                "heading" => __("Icon", "jxpress-portal"),
                "param_name" => "icon",
                'value' => 'ti-briefcase',
                "settings" => array("emptyIcon" => false,
                    "type" => "themifyicon",
                    "iconsPerPage" => 200)
            )
        )
            )
    );
}

function jxpress_vc_get_terms($taxonomy) {

    $terms = get_terms($taxonomy, array('hide_empty' => false, 'parent' => 0));
    $sets = array();
    foreach ($terms as $term) {
        $sets[$term->name] = $term->slug;
    }

    return $sets;
}

add_filter('vc_iconpicker-type-themifyicon', 'vc_iconpicker_type_themifyicon');

function vc_iconpicker_type_themifyicon($icons) {
    // Categorized icons ( you can also output simple array ( key=> value ), where key = icon class, value = icon readable name ).
    /**
     * @version 4.7
     */
    $themifyicon_icons = array(
        'Arrows & Direction Icons' => array(
            array('ti-arrow-up' => 'arrow-up'),
            array('ti-arrow-right' => 'arrow-right'),
            array('ti-arrow-left' => 'arrow-left'),
            array('ti-arrow-down' => 'arrow-down'),
            array('ti-arrows-vertical' => 'arrows-vertical'),
            array('ti-arrows-horizontal' => 'arrows-horizontal'),
            array('ti-angle-up' => 'angle-up'),
            array('ti-angle-right' => 'angle-right'),
            array('ti-angle-left' => 'angle-left'),
            array('ti-angle-down' => 'angle-down'),
            array('ti-angle-double-up' => 'angle-double-up'),
            array('ti-angle-double-right' => 'angle-double-right'),
            array('ti-angle-double-left' => 'angle-double-left'),
            array('ti-angle-double-down' => 'angle-double-down'),
            array('ti-move' => 'move'),
            array('ti-fullscreen' => 'fullscreen'),
            array('ti-arrow-top-right' => 'arrow-top-right'),
            array('ti-arrow-top-left' => 'arrow-top-left'),
            array('ti-arrow-circle-up' => 'arrow-circle-up'),
            array('ti-arrow-circle-right' => 'arrow-circle-right'),
            array('ti-arrow-circle-left' => 'arrow-circle-left'),
            array('ti-arrow-circle-down' => 'arrow-circle-down'),
            array('ti-arrows-corner' => 'arrows-corner'),
            array('ti-split-v' => 'split-v)'),
            array('ti-split-v-alt' => 'split-v-alt'),
            array('ti-split-h' => 'split-h'),
            array('ti-hand-point-up' => 'hand-point-up'),
            array('ti-hand-point-right' => 'hand-point-right'),
            array('ti-hand-point-left' => 'hand-point-left'),
            array('ti-hand-point-down' => 'hand-point-down'),
            array('ti-back-right' => 'back-right'),
            array('ti-back-left' => 'back-left'),
            array('ti-exchange-vertical' => 'exchange-vertical'),
        ),
        'Web App Icons' => array(
            array('ti-wand' => 'wand'),
            array('ti-save' => 'save'),
            array('ti-save-alt' => 'save-alt'),
            array('ti-direction' => 'direction'),
            array('ti-direction-alt' => 'direction-alt'),
            array('ti-user' => 'user'),
            array('ti-link' => 'link'),
            array('ti-unlink' => 'unlink'),
            array('ti-trash' => 'trash'),
            array('ti-target' => 'target'),
            array('ti-tag' => 'tag'),
            array('ti-desktop' => 'desktop'),
            array('ti-tablet' => 'tablet'),
            array('ti-mobile' => 'mobile'),
            array('ti-email' => 'email'),
            array('ti-star' => 'star'),
            array('ti-spray' => 'spray'),
            array('ti-signal' => 'signal'),
            array('ti-shopping-cart' => 'shopping-cart'),
            array('ti-shopping-cart-full' => 'shopping-cart-full'),
            array('ti-settings' => 'settings'),
            array('ti-search' => 'search'),
            array('ti-zoom-in' => 'zoom-in'),
            array('ti-zoom-out' => 'zoom-out'),
            array('ti-cut' => 'cut'),
            array('ti-ruler' => 'ruler'),
            array('ti-ruler-alt-2' => 'ruler-alt-2'),
            array('ti-ruler-pencil' => 'ruler-pencil'),
            array('ti-ruler-alt' => 'ruler-alt'),
            array('ti-bookmark' => 'bookmark'),
            array('ti-bookmark-alt' => 'bookmark-alt'),
            array('ti-reload' => 'reload'),
            array('ti-plus' => 'plus'),
            array('ti-minus' => 'minus'),
            array('ti-close' => 'close'),
            array('ti-pin' => 'pin'),
            array('ti-pencil' => 'pencil'),
            array('ti-pencil-alt' => 'pencil-alt'),
            array('ti-paint-roller' => 'paint-roller'),
            array('ti-paint-bucket' => 'paint-bucket'),
            array('ti-na' => 'na'),
            array('ti-medall' => 'medall'),
            array('ti-medall-alt' => 'medall-alt'),
            array('ti-marker' => 'marker'),
            array('ti-marker-alt' => 'marker-alt'),
            array('ti-lock' => 'lock'),
            array('ti-unlock' => 'unlock'),
            array('ti-location-arrow' => 'location-arrow'),
            array('ti-layout' => 'layout'),
            array('ti-layers' => 'layers'),
            array('ti-layers-alt' => 'layers-alt'),
            array('ti-key' => 'key'),
            array('ti-image' => 'image'),
            array('ti-heart' => 'heart'),
            array('ti-heart-broken' => 'heart-broken'),
            array('ti-hand-stop' => 'hand-stop'),
            array('ti-hand-open' => 'hand-open'),
            array('ti-hand-drag' => 'hand-drag'),
            array('ti-flag' => 'flag'),
            array('ti-flag-alt' => 'flag-alt'),
            array('ti-flag-alt-2' => 'flag-alt-2'),
            array('ti-eye' => 'eye'),
            array('ti-import' => 'import'),
            array('ti-export' => 'export'),
            array('ti-cup' => 'cup'),
            array('ti-crown' => 'crown'),
            array('ti-comments' => 'comments'),
            array('ti-comment' => 'comment'),
            array('ti-comment-alt' => 'comment-alt'),
            array('ti-thought' => 'thought'),
            array('ti-clip' => 'clip'),
            array('ti-check' => 'check'),
            array('ti-check-box' => 'check-box'),
            array('ti-camera' => 'camera'),
            array('ti-announcement' => 'announcement'),
            array('ti-brush' => 'brush'),
            array('ti-brush-alt' => 'brush-alt'),
            array('ti-palette' => 'palette'),
            array('ti-briefcase' => 'briefcase'),
            array('ti-bolt' => 'bolt'),
            array('ti-bolt-alt' => 'bolt-alt'),
            array('ti-blackboard' => 'blackboard'),
            array('ti-bag' => 'bag'),
            array('ti-world' => 'world'),
            array('ti-wheelchair' => 'wheelchair'),
            array('ti-car' => 'car'),
            array('ti-truck' => 'truck'),
            array('ti-timer' => 'timer'),
            array('ti-ticket' => 'ticket'),
            array('ti-thumb-up' => 'thumb-up'),
            array('ti-thumb-down' => 'thumb-down'),
            array('ti-stats-up' => 'stats-up'),
            array('ti-stats-down' => 'stats-down'),
            array('ti-shine' => 'shine'),
            array('ti-shift-right' => 'shift-right'),
            array('ti-shift-left' => 'shift-left'),
            array('ti-shift-right-alt' => 'shift-right-alt'),
            array('ti-shift-left-alt' => 'shift-left-alt'),
            array('ti-shield' => 'shield'),
            array('ti-notepad' => 'notepad'),
            array('ti-server' => 'server'),
            array('ti-pulse' => 'pulse'),
            array('ti-printer' => 'printer'),
            array('ti-power-off' => 'power-off'),
            array('ti-plug' => 'plug'),
            array('ti-pie-chart' => 'pie-chart'),
            array('ti-panel' => 'panel'),
            array('ti-package' => 'package'),
            array('ti-music' => 'music'),
            array('ti-music-alt' => 'music-alt'),
            array('ti-mouse' => 'mouse'),
            array('ti-mouse-alt' => 'mouse-alt'),
            array('ti-money' => 'money'),
            array('ti-microphone' => 'microphone'),
            array('ti-menu' => 'menu'),
            array('ti-menu-alt' => 'menu-alt'),
            array('ti-map' => 'map'),
            array('ti-map-alt' => 'map-alt'),
            array('ti-location-pin' => 'location-pin'),
            array('ti-light-bulb' => 'light-bulb'),
            array('ti-info' => 'info'),
            array('ti-infinite' => 'infinite'),
            array('ti-id-badge' => 'id-badge'),
            array('ti-hummer' => 'hummer'),
            array('ti-home' => 'home'),
            array('ti-help' => 'help'),
            array('ti-headphone' => 'headphone'),
            array('ti-harddrives' => 'harddrives'),
            array('ti-harddrive' => 'harddrive'),
            array('ti-gift' => 'gift'),
            array('ti-game' => 'game'),
            array('ti-filter' => 'filter'),
            array('ti-files' => 'files'),
            array('ti-file' => 'file'),
            array('ti-zip' => 'zip'),
            array('ti-folder' => 'folder'),
            array('ti-envelope' => 'envelope'),
            array('ti-dashboard' => 'dashboard'),
            array('ti-cloud' => 'cloud'),
            array('ti-cloud-up' => 'cloud-up'),
            array('ti-cloud-down' => 'cloud-down'),
            array('ti-clipboard' => 'clipboard'),
            array('ti-calendar' => 'calendar'),
            array('ti-book' => 'book'),
            array('ti-bell' => 'bell'),
            array('ti-basketball' => 'basketball'),
            array('ti-bar-chart' => 'bar-chart'),
            array('ti-bar-chart-alt' => 'bar-chart-alt'),
            array('ti-archive' => 'archive'),
            array('ti-anchor' => 'anchor'),
            array('ti-alert' => 'alert'),
            array('ti-alarm-clock' => 'alarm-clock'),
            array('ti-agenda' => 'agenda'),
            array('ti-write' => 'write'),
            array('ti-wallet' => 'wallet'),
            array('ti-video-clapper' => 'video-clapper'),
            array('ti-video-camera' => 'video-camera'),
            array('ti-vector' => 'vector'),
            array('ti-support' => 'support'),
            array('ti-stamp' => 'stamp'),
            array('ti-slice' => 'slice'),
            array('ti-shortcode' => 'shortcode'),
            array('ti-receipt' => 'receipt'),
            array('ti-pin2' => 'pin2'),
            array('ti-pin-alt' => 'pin-alt'),
            array('ti-pencil-alt2' => 'pencil-alt2'),
            array('ti-eraser' => 'eraser'),
            array('ti-more' => 'more'),
            array('ti-more-alt' => 'more-alt'),
            array('ti-microphone-alt' => 'microphone-alt'),
            array('ti-magnet' => 'magnet'),
            array('ti-line-double' => 'line-double'),
            array('ti-line-dotted' => 'line-dotted'),
            array('ti-line-dashed' => 'line-dashed'),
            array('ti-ink-pen' => 'ink-pen'),
            array('ti-info-alt' => 'info-alt'),
            array('ti-help-alt' => 'help-alt'),
            array('ti-headphone-alt' => 'headphone-alt'),
            array('ti-gallery' => 'gallery'),
            array('ti-face-smile' => 'face-smile'),
            array('ti-face-sad' => 'face-sad'),
            array('ti-credit-card' => 'credit-card'),
            array('ti-comments-smiley' => 'comments-smiley'),
            array('ti-time' => 'time'),
            array('ti-share' => 'share'),
            array('ti-share-alt' => 'share-alt'),
            array('ti-rocket' => 'rocket'),
            array('ti-new-window' => 'new-window'),
            array('ti-rss' => 'rss'),
            array('ti-rss-alt' => 'rss-alt'),
        ),
        'Control Icons' => array(
            array('ti-control-stop' => 'control-stop'),
            array('ti-control-shuffle' => 'control-shuffle'),
            array('ti-control-play' => 'control-play'),
            array('ti-control-pause' => 'control-pause'),
            array('ti-control-forward' => 'control-forward'),
            array('ti-control-backward' => 'control-backward'),
            array('ti-volume' => 'volume'),
            array('ti-control-skip-forward' => 'control-skip-forward'),
            array('ti-control-skip-backward' => 'control-skip-backward'),
            array('ti-control-record' => 'control-record'),
            array('ti-control-eject' => 'control-eject'),
        ),
        'Text Editor' => array(
            array('ti-paragraph' => 'paragraph'),
            array('ti-uppercase' => 'uppercase'),
            array('ti-underline' => 'underline'),
            array('ti-text' => 'text'),
            array('ti-Italic' => 'Italic'),
            array('ti-smallcap' => 'smallcap'),
            array('ti-list' => 'list'),
            array('ti-list-ol' => 'list-ol'),
            array('ti-align-right' => 'align-right'),
            array('ti-align-left' => 'align-left'),
            array('ti-align-justify' => 'align-justify'),
            array('ti-align-center' => 'align-center'),
            array('ti-quote-right' => 'quote-right'),
            array('ti-quote-left' => 'quote-left'),
        ),
        'Layout Icons' => array(
            array('ti-layout-width-full' => 'layout-width-full'),
            array('ti-layout-width-default' => 'layout-width-default'),
            array('ti-layout-width-default-alt' => 'layout-width-default-alt'),
            array('ti-layout-tab' => 'layout-tab'),
            array('ti-layout-tab-window' => 'layout-tab-window'),
            array('ti-layout-tab-v' => 'layout-tab-v'),
            array('ti-layout-tab-min' => 'layout-tab-min'),
            array('ti-layout-slider' => 'layout-slider'),
            array('ti-layout-slider-alt' => 'layout-slider-alt'),
            array('ti-layout-sidebar-right' => 'layout-sidebar-right'),
            array('ti-layout-sidebar-none' => 'layout-sidebar-none'),
            array('ti-layout-sidebar-left' => 'layout-sidebar-left'),
            array('ti-layout-placeholder' => 'layout-placeholder'),
            array('ti-layout-menu' => 'layout-menu'),
            array('ti-layout-menu-v' => 'layout-menu-v'),
            array('ti-layout-menu-separated' => 'layout-menu-separated'),
            array('ti-layout-menu-full' => 'layout-menu-full'),
            array('ti-layout-media-right' => 'layout-media-right'),
            array('ti-layout-media-right-alt' => 'layout-media-right-alt'),
            array('ti-layout-media-overlay' => 'layout-media-overlay'),
            array('ti-layout-media-overlay-alt' => 'layout-media-overlay-alt'),
            array('ti-layout-media-overlay-alt-2' => 'layout-media-overlay-alt-2'),
            array('ti-layout-media-left' => 'layout-media-left'),
            array('ti-layout-media-left-alt' => 'layout-media-left-alt'),
            array('ti-layout-media-center' => 'layout-media-center'),
            array('ti-layout-media-center-alt' => 'layout-media-center-alt'),
            array('ti-layout-list-thumb' => 'layout-list-thumb'),
            array('ti-layout-list-thumb-alt' => 'layout-list-thumb-alt'),
            array('ti-layout-list-post' => 'layout-list-post'),
            array('ti-layout-list-large-image' => 'layout-list-large-image'),
            array('ti-layout-line-solid' => 'layout-line-solid'),
            array('ti-layout-grid4' => 'layout-grid4'),
            array('ti-layout-grid3' => 'layout-grid3'),
            array('ti-layout-grid2' => 'layout-grid2'),
            array('ti-layout-grid2-thumb' => 'layout-grid2-thumb'),
            array('ti-layout-cta-right' => 'layout-cta-right'),
            array('ti-layout-cta-left' => 'layout-cta-left'),
            array('ti-layout-cta-center' => 'layout-cta-center'),
            array('ti-layout-cta-btn-right' => 'layout-cta-btn-right'),
            array('ti-layout-cta-btn-left' => 'layout-cta-btn-left'),
            array('ti-layout-column4' => 'layout-column4'),
            array('ti-layout-column3' => 'layout-column3'),
            array('ti-layout-column2' => 'layout-column2'),
            array('ti-layout-accordion-separated' => 'layout-accordion-separated'),
            array('ti-layout-accordion-merged' => 'layout-accordion-merged'),
            array('ti-layout-accordion-list' => 'layout-accordion-list'),
            array('ti-widgetized' => 'widgetized'),
            array('ti-widget' => 'widget'),
            array('ti-widget-alt' => 'widget-alt'),
            array('ti-view-list' => 'view-list'),
            array('ti-view-list-alt' => 'view-list-alt'),
            array('ti-view-grid' => 'view-grid'),
            array('ti-upload' => 'upload'),
            array('ti-download' => 'download'),
            array('ti-loop' => 'loop'),
            array('ti-layout-sidebar-2' => 'layout-sidebar-2'),
            array('ti-layout-grid4-alt' => 'layout-grid4-alt'),
            array('ti-layout-grid3-alt' => 'layout-grid3-alt'),
            array('ti-layout-grid2-alt' => 'layout-grid2-alt'),
            array('ti-layout-column4-alt' => 'layout-column4-alt'),
            array('ti-layout-column3-alt' => 'layout-column3-alt'),
            array('ti-layout-column2-alt' => 'layout-column2-alt'),
        ),
        'Brand Icons' => array(
            array('ti-flickr' => 'flickr'),
            array('ti-flickr-alt' => 'flickr-alt'),
            array('ti-instagram' => 'instagram'),
            array('ti-google' => 'google'),
            array('ti-github' => 'github'),
            array('ti-facebook' => 'facebook'),
            array('ti-dropbox' => 'dropbox'),
            array('ti-dropbox-alt' => 'dropbox-alt'),
            array('ti-dribbble' => 'dribbble'),
            array('ti-apple' => 'apple'),
            array('ti-android' => 'android'),
            array('ti-yahoo' => 'yahoo'),
            array('ti-trello' => 'trello'),
            array('ti-stack-overflow' => 'stack-overflow'),
            array('ti-soundcloud' => 'soundcloud'),
            array('ti-sharethis' => 'sharethis'),
            array('ti-sharethis-alt' => 'sharethis-alt'),
            array('ti-reddit' => 'reddit'),
            array('ti-microsoft' => 'microsoft'),
            array('ti-microsoft-alt' => 'microsoft-alt'),
            array('ti-linux' => 'linux'),
            array('ti-jsfiddle' => 'jsfiddle'),
            array('ti-joomla' => 'joomla'),
            array('ti-html5' => 'html5'),
            array('ti-css3' => 'css3'),
            array('ti-drupal' => 'drupal'),
            array('ti-wordpress' => 'wordpress'),
            array('ti-tumblr' => 'tumblr'),
            array('ti-tumblr-alt' => 'tumblr-alt'),
            array('ti-skype' => 'skype'),
            array('ti-youtube' => 'youtube'),
            array('ti-vimeo' => 'vimeo'),
            array('ti-vimeo-alt' => 'vimeo-alt'),
            array('ti-twitter' => 'twitter'),
            array('ti-twitter-alt' => 'twitter-alt'),
            array('ti-linkedin' => 'linkedin'),
            array('ti-pinterest' => 'pinterest'),
            array('ti-pinterest-alt' => 'pinterest-alt'),
            array('ti-themify-logo' => 'themify-logo'),
            array('ti-themify-favicon' => 'themify-favicon'),
            array('ti-themify-favicon-alt' => 'themify-favicon-alt'),
        )
    );


    return array_merge($icons, $themifyicon_icons);
}

add_action('vc_base_register_admin_css', 'jxpress_vc_iconpicker_base_register_css');

function jxpress_vc_iconpicker_base_register_css() {
    wp_register_style('themify-icons', get_stylesheet_directory_uri() . '/assets/css/themify-icons.css');
}

add_action('vc_backend_editor_enqueue_js_css', 'jxpress_vc_iconpicker_editor_jscss');

function jxpress_vc_iconpicker_editor_jscss() {
    wp_enqueue_style('themify-icons');
}

?>