<?php
add_shortcode('jxpress_job_search_home1', 'jxpress_job_search_home1');

function jxpress_job_search_home1($atts) {
    extract(shortcode_atts(
                    array(
        'title' => 1,
        'city' => 1,
                        'row' => 0
                    ), $atts));

    ob_start();
    ?>

    <form class="jxpress-search" action="<?php echo get_permalink(get_option('jxpress_search'));?>" method="get">
        <div class="container">
        <div class="jxpress-job-search job-home-one-form row">
            <div class="form-group <?php echo $row?'col-12 mb-md-5 border-bottom': 'col-md-5 b-r mb-md-0';?> p-0   mb-3 ">
                <input type="text" name="job_name" class="form-control border-0" placeholder="<?php echo esc_html__('Job title', 'jxpress-portal'); ?>">
                <div class="search_icon"><span class="ti-briefcase"></span></div>
            </div>
            <div class="form-group <?php echo $row?'col-12 mb-md-4 border-bottom': 'col-md-4 mb-md-0';?> p-0 mb-3 ">
                <select name="job_city" class="form-control form-control-chosen" data-placeholder="<?php echo esc_html__('City', 'jxpress-portal'); ?>"> 
                    <?php
                    $categories = get_terms('city', array('hide_empty' => false));
                    foreach ($categories as $category) {
                        ?>
                        <option value="<?php esc_attr_e($category->slug); ?>"><?php esc_attr_e($category->name); ?></option>
                    <?php } ?>
                </select>
                <div class="search_icon"><span class="ti-location-pin"></span></div>

            </div>
            <div class="form-group <?php echo $row?'col-12': 'col-md-3';?> p-0 pr-2 mb-0 my-auto">
               
                    <input type="submit" class="btn btn-default float-right w-100" value="<?php echo esc_html__('Search Job', 'jxpress-portal'); ?>"/>
              
            </div>
        </div>
        </div>
    </form>

    <?php
    return ob_get_clean();
}
