<?php
add_shortcode('jxpress_blogs', 'jxpress_blogs');

function jxpress_blogs($atts) {
    extract(shortcode_atts(
                    array(
        'total_count' => 12
                    ), $atts));

    ob_start();
    $args = array(
        'post_type' => 'post',
        'posts_per_page' => $total_count
    );

    $the_query = new WP_Query($args);
    ?>
  <div class="row justify-content-md-center">
        <?php
        if ($the_query->have_posts()) {
            while ($the_query->have_posts()) {
                $the_query->the_post();
                ?>
                 <div class="col-md-9 col-lg-6">
        <?php
      
        $format = 'image';
        if (get_post_format(get_the_ID()) != "") {
            $format = get_post_format(get_the_ID());
        }
        $class = ($format != "gallery") ? 'post-image' : 'post-img';
        ?>

        <div class="<?php echo esc_attr($class); ?>">

            <?php if ($format == "video") { ?>
                <div class="embed-responsive embed-responsive-16by9">  <?php echo jxpress_oembed_videos(get_the_ID()); ?></div>                         
            <?php } else if ($format == "gallery") { ?><div class="post-gallery">
                <?php
                // Retrieve the first gallery in the post
                $gallery = get_post_gallery_images($post);

                // Loop through each image in each gallery
                foreach ($gallery as $image_url) {
                    ?>

                        <div><img src="<?php echo esc_url($image_url); ?>"></div>
                    <?php } ?>
                </div>
            <?php } else {
                ?>
                <?php
                if (has_post_thumbnail()) {
                    ?>
                    <a href="<?php echo esc_url(get_permalink(get_the_ID())); ?>" rel="bookmark">
                        <?php echo get_the_post_thumbnail(get_the_ID(), 'large'); ?>
                    </a> 
                <?php } ?>
                <?php
            }
            ?>
        </div>

        <div class="info-box p-3">


            <div class="block1_desc row row-eq-height">
                <div class="col-md-3 col-sm-3 padding-left  border-post border-right-0 border-top-0 border-bottom-0 border-0 text-left text-md-right">
                    <h3><?php echo get_the_date(); ?></h3>
                </div>
                <div class="col-md-9 col-sm-9 border-post border-right-0 border-top-0 border-bottom-0">
                    <p><?php echo get_the_title(); ?></p>
                </div>
            </div>
        </div>
    </div>
                <?php
            }
              wp_reset_query();
        }
        ?>
  </div>
    <?php
    return ob_get_clean();
}
