<?php
add_shortcode('jxpress_recent_job', 'jxpress_recent_job');

function jxpress_recent_job($atts) {
    global $current_user;
    $user_id = get_current_user_id();
$shortlists = get_user_meta($user_id, 'job_shortlist');
    extract(shortcode_atts(
                    array(
        'total_jobs' => 10,
        'columns' => 4
                    ), $atts));

    ob_start();
    ?>

    <?php
    $second_query = new WP_Query(array(
        'post_type' => 'jobs',        
        'posts_per_page' => $total_jobs,
    ));

    if ($second_query->have_posts()) {
        ?>            
     
            <div class="row row-eq-height recentjobs" data-column="<?php echo $columns;?>">
                <?php
                while ($second_query->have_posts()) : $second_query->the_post();
                    $job_author_id = get_post_field('post_author', get_the_ID());
                    $user_info = get_user_meta($job_author_id);
                    ?>               
                   
                        <div class="col-md-6 col-lg-3 my-3 "> 
                            <div class="border bg-white h-100 rounded p-3"> 
                                
                              
                                
                               
                                <div class="grid-job-type"> <?php
                                        $terms = wp_get_post_terms(get_the_ID(), 'job-type');

                                        foreach ($terms as $term) {
                                            ?>
                                    <span class="job-type-box  <?php echo $term->slug; ?>"><b><?php echo $term->name; ?></b></span>
                                            <?php
                                        }
                                        ?>
                                    </div>
                              
                                   
                                        <div class="block text-left "> 
                                            
                                            <h6 class="font-weight-bold mt-3 mb-0 job-title-light"> <a href="<?php echo get_permalink(get_the_ID()); ?>"> <?php echo get_the_title(); ?></a></h6>
                                        
                                        </div>
                                  
                                    
                                        
                                  
                                        <div class="jxpress-dotted-border my-3"></div>
                                        
                                         <?php
                                        $terms = wp_get_post_terms(get_the_ID(), 'job-category');
                                        $selected_values = [];
                                        foreach ($terms as $term) {
                                            $jobterm = get_term_by('id', $term->term_id, 'job-category');
                                            echo '<b><small class="font-weight-bold text-black">' . $jobterm->name . '</small></b>';
                                        }
                                        ?>
                                        <p class="mb-0"><span class="job-place"><i class="fa fa-map-marker"></i> <?php
                                                        $terms = wp_get_post_terms(get_the_ID(), 'city');
                                                        $langs = [];
                                                        foreach ($terms as $term) {
                                                            $jobterm = get_term_by('id', $term->term_id, 'city');
                                                            $langs[] = $jobterm->name;
                                                        }
                                                        echo implode(", ", $langs);
                                                        ?>, <?php
                                                        $terms = wp_get_post_terms(get_the_ID(), 'country');
                                                        $langs = [];
                                                        foreach ($terms as $term) {
                                                            $jobterm = get_term_by('id', $term->term_id, 'country');
                                                            $langs[] = $jobterm->name;
                                                        }
                                                        echo implode(", ", $langs);
                                                        ?></span></p>
                                   
                               
                            </div>
                        </div>     
                  

                    <?php
                endwhile;
                wp_reset_query();
                ?>
            </div>
      

    <?php } ?>

    <?php
    return ob_get_clean();
}
